import request from '@/utils/request'

// 查询注册-家长-学生列表
export function listStudent(query) {
  return request({
    url: '/register/student/list',
    method: 'get',
    params: query
  })
}

// 查询注册-家长-学生详细
export function getStudent(id) {
  return request({
    url: '/register/student/' + id,
    method: 'get'
  })
}

// 新增注册-家长-学生
export function addStudent(data) {
  return request({
    url: '/register/student',
    method: 'post',
    data: data
  })
}

// 修改注册-家长-学生
export function updateStudent(data) {
  return request({
    url: '/register/student',
    method: 'put',
    data: data
  })
}

// 删除注册-家长-学生
export function delStudent(id) {
  return request({
    url: '/register/student/delete/' + id,
    method: 'get'
  })
}
